Package org.eclipse.core.runtime.content

# Class IContentTypeManager.ContentTypeChangeEvent

java.lang.Object
java.util.EventObject
org.eclipse.core.runtime.content.IContentTypeManager.ContentTypeChangeEvent

All Implemented Interfaces:
  `Serializable`

Enclosing interface:
  IContentTypeManager

public static final class IContentTypeManager.ContentTypeChangeEvent extends EventObject
An event object which describes the details of a change to a content type.

Types of changes include a change in the file associations or a change in the encoding setting.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`ContentTypeChangeEvent(IContentType source)`
Constructor for a new content type change event.
`ContentTypeChangeEvent(IContentType source, IScopeContext context)`
Constructor for a new content type change event.

## Method Summary

Modifier and Type
Method
Description
`IContentType`
`getContentType()`
Return the content type object associated with this change event.
`IScopeContext`
`getContext()`
Return the preference scope where the setting changed, or `null`, if the change happened in the content type manager default context.

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ContentTypeChangeEvent

public ContentTypeChangeEvent(IContentType source)
Constructor for a new content type change event.

Parameters:
  `source` - the content type that changed

### ContentTypeChangeEvent

public ContentTypeChangeEvent(IContentType source, IScopeContext context)
Constructor for a new content type change event.

Parameters:
  `source` - the content type that changed
  `context` - the context where a setting changed, or `null`
Since:
  3.1

## Method Details

### getContentType

public IContentType getContentType()
Return the content type object associated with this change event.

Returns:
  the content type

### getContext

public IScopeContext getContext()
Return the preference scope where the setting changed, or `null`, if the change happened in the content type manager default context.

Returns:
  the context where the change happened, or `null`
Since:
  3.1